from dataclasses import dataclass
from typing import Sequence, Union

from dataclasses_json import dataclass_json

@dataclass_json
@dataclass
class InstitutPasteurSequenceRequest:
    sequence: str
    details: Union[bool, None]
    partial_matches: Union[bool, None]
    base64: Union[bool, None]

@dataclass_json
@dataclass
class InstitutPasteurSequenceResponse:
    exact_matches: Sequence[tuple[int, str]]
    start: Union[int, None]
    end: Union[int, None]
    orientation: Union[str, None]
    length: Union[int, None]
    contig: Union[str, None]